package com.base.track.mapper;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.base.track.model.entity.VisualData;
import org.apache.ibatis.annotations.Mapper;
import java.util.List;

@Mapper
public interface VisualDataMapper extends BaseMapper<VisualData> {

    default List<VisualData> selVisualById(String id) {
        QueryWrapper<VisualData> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("trbut_data_id", id);
        List<VisualData> visualDataList = selectList(queryWrapper);
        return visualDataList;
    }
}
